org.omg.PortableInterceptor

## Class ForwardRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableInterceptor.ForwardRequest

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class ForwardRequest
    extends UserException

org/omg/PortableInterceptor/ForwardRequest.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-eKiFHj/openjdk-8-8u502-ga~us1/src/corba/src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Thursday, July 23, 2026 9:10:41 PM UTC

### Field Summary

Fields
`Object` `forward` The new object to forward the request to.

### Constructor Summary

Constructors
Constructor and Description
`ForwardRequest()`
`ForwardRequest(Object _forward)`
`ForwardRequest(String $reason, Object _forward)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### forward

    public Object forward

The new object to forward the request to.

### Constructor Detail

#### ForwardRequest

    public ForwardRequest()

#### ForwardRequest

    public ForwardRequest(Object _forward)

#### ForwardRequest

    public ForwardRequest(String $reason,
                          Object _forward)